### Function

# Secret password_clear_finish

unstable since: 1

#### Declaration [src]

    gboolean
    secret_password_clear_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to remove passwords from the secret service.

Available since: 1

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether any passwords were removed.